Subject: bug#34256: 27.0.50; Crash on draw_glyphs()

From: Kaushal Modi <[email-masked]>
Date: Thu, 31 Jan 2019 10:50:26 -0500

On Thu, Jan 31, 2019 at 9:03 AM Eli Zaretskii <[email-masked]> wrote:

>
> OK, so image resizing is still a suspect.  Do you have HAVE_XRENDER
> defined in src/config.h?
>

Yes, I do. Here is the full config.h: https://ptpb.pw/ls2f

> >     img_id = 0,
>
> img_id = 0 is unusual for an image in a buffer.  Are you running with
> the tool bar disabled, perhaps?
>

Yes, I am! I am hiding both tool and menu bars.

And what do these show in the same call-stack frame #2:
>
>   (gdb) p FRAME_IMAGE_CACHE (s->f)->used
>   (gdb) p FRAME_IMAGE_CACHE (s->f)->images[0]
>

 (gdb) p FRAME_IMAGE_CACHE (s->f)->used
$2 = 2
(gdb) p FRAME_IMAGE_CACHE (s->f)->images[0]
$3 = (struct image *) 0x0

Thank you.